@import url(../global/style.css);

main {
  width: 100%;

  .banner-hero {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    padding: 100px 10% 0 10%;

    h1 {
      font-size: 1vw;
      color: var(--cor-principal);

      span {
        font-size: 2vw;
        font-weight: 900;
        color: var(--cor-principal);
      }
    }

    img {
      padding-top: 50px;
      width: 100%;
    }
  }

  .product-detail {
    width: 100%;
    max-height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 100px 10% 0 10%;

    .product-detail-list {
      width: 100%;
      height: 100%;
      text-align: justify;
      padding-right: 10%;

      li:not(:first-child) {
        padding-top: 20%;
      }

      h3 {
        font-size: 2vw;
      }

      p {
        padding-top: 10px;
        font-size: 1vw;
      }

      span {
        font-size: 1vw;
        font-weight: bold;
        color: var(--cor-principal);
      }
    }

    .product-detail-award {
      width: 100%;
      height: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      padding: 5vh 10vw 5vh 10vw;
      border-radius: 15vw 0 0 0;
      background: linear-gradient(90deg,
          rgba(157, 7, 13, 1) 0%,
          rgba(155, 10, 40, 1) 50%);
      color: var(--cor-clara);

      h3:first-child {
        font-size: 2vw;
        border-bottom: 1px solid var(--cor-clara);
        padding-bottom: 10px;
        color: var(--cor-clara);

        span {
          color: var(--cor-clara);
          padding-top: 10px;
          padding-bottom: 10px;
          font-size: 1.5vw;
        }
      }

      h3 {
        color: var(--cor-clara);
        font-size: 1vw;
        padding-top: 10px;
        padding-bottom: 10px;
        text-align: center;
      }

      img {
        width: 100%;
        padding-top: 10px;
        border-radius: 0 0 5vw 0;
      }
    }
  }

  .products {
    text-align: center;
    width: 100%;
    max-height: max-content;
    padding-top: 100px;

    h2 {
      font-size: 2.5vw;
      font-weight: 800;
      color: var(--cor-principal);
    }

    p {
      padding: 50px;
      font-size: 1vw;

      span {
        font-size: 1vw;
        font-weight: bold;
      }
    }

    .products-list {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-evenly;

      .products-list-item {
        width: 20vw;
        height: 100%;
        padding: 0.6vw;
        border: 1px solid var(--cor-principal);

        .products-list-item-image {
          position: relative;
          height: 70%;
          background-color: var(--cor-clara);

          img {
            width: 100%;
          }

          .products-list-item-image-icon {
            position: absolute;
            bottom: 3px;
            height: 15%;
            width: 15%;
            background: #9d070d;
            padding: 10%;
            display: flex;
            align-items: center;
            justify-content: center;

            img {
              width: 3vw;
              height: auto;
            }
          }
        }

        .products-list-item-text {
          background-color: var(--cor-clara);

          h2 {
            padding-top: 5px;
            font-size: 1.2vw;
            font-weight: bold;
            color: var(--cor-escura);
          }

          h3 {
            padding: 15px 0 18px 0;
            font-size: 1vw;
            font-weight: 300;
          }

          .products-list-item-text-link {
            padding-bottom: 10px;

            a {
              font-size: 0.7vw;
              font-weight: bold;
              color: var(--cor-principal);
            }

            svg {
              margin-left: 1%;
              width: 0.6vw;
            }
          }
        }
      }

      .products-list-item:hover {
        width: 25vw;
        transition: 0.2s;
      }
    }
  }

  .info {
    width: 100%;
    max-height: 50dvh;
    margin-top: 100px;
    padding: 0px 10% 0 10%;

    .info-layout {
      width: 100%;
      height: 100%;
      border-radius: 0 30vw 0 0;
      border: 1px solid var(--cor-principal);
      padding: 2vw;
    }

    h3 {
      font-size: 2.2vw;
      font-weight: 800;
      color: var(--cor-principal);
    }

    .info-layout-main {
      display: flex;
      align-items: start;
      justify-content: start;
      padding: 1vh 0 0 0;

      .info-layout-main-text {
        width: 50%;
        height: 100%;
        text-align: justify;

        p:not(:first-child) {
          padding-top: 15px;
        }

        p {
          font-size: 1vw;
          font-weight: 400;
        }

        strong {
          font-size: 1vw;
          font-weight: bold;
          color: var(--cor-principal);
        }

        .info-layout-item-text-link {
          padding-top: 5vh;
          display: flex;
          align-items: center;
          justify-content: end;
          font-size: 1vw;
          font-weight: 600;

          a {
            color: var(--cor-principal);
            font-size: 1vw;
          }

          svg {
            margin-left: 0.4vw;
            width: 1vw;
          }
        }
      }

      .info-layout-main-detail {
        width: 50%;
        height: 100%;
        display: flex;
        justify-content: center;
        flex-direction: column;

        .info-layout-main-detail-content:not(:first-child) {
          padding-top: 25px;
        }

        .info-layout-main-detail-content {
          display: flex;
          align-items: center;
          padding-left: 5vw;

          .info-layout-main-detail-content-icon {
            width: 5vw;
            height: 5vw;
            background-color: #9d070d;
            padding: 0.8vw;
            display: flex;
            align-items: center;
            justify-content: center;

            svg {
              width: 80%;
            }
          }

          .info-layout-main-detail-content-text {
            display: flex;
            flex-direction: column;
            align-items: start;
            padding-left: 2vw;

            h4 {
              font-weight: 800;
              font-size: 2.5vw;
            }

            p {
              font-size: 1vw;
              width: 80%;
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: 800px) {
  main {
    .banner-hero {
      padding: 30px 3% 0 3%;

      h1 {
        font-size: 10px;

        span {
          font-size: 15px;
        }
      }

      img {
        padding-top: 5px;
      }
    }

    .product-detail {
      padding: 30px 3% 0 3%;
      flex-direction: column;

      .product-detail-list {
        padding: 0;
        width: 70%;

        ul {
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;
        }

        h3 {
          font-size: 15px;
        }

        p {
          font-size: 12px;
          padding-top: 3px;
        }

        span {
          font-size: 12px;
        }

        li:not(:first-child) {
          padding-top: 30px;
        }
      }

      .product-detail-award {
        margin-top: 30px;
        width: 100%;
        padding: 2vh 4vw 2vh 4vw;
        flex-direction: row;

        .product-detail-award-text {
          padding-right: 50px;
        }

        h3:first-child {
          font-size: 15px;
          padding-bottom: 3px;

          span {
            color: var(--cor-clara);
            padding-top: 3px;
            padding-bottom: 3px;
            font-size: 10px;
          }
        }

        h3 {
          color: var(--cor-clara);
          font-size: 10px;
          padding-top: 3px;
          padding-bottom: 3px;
          text-align: center;
        }

        img {
          width: 30%;
          padding-top: 1px;
        }
      }
    }

    .products {
      padding-top: 30px;

      h2 {
        font-size: 18px;
      }

      p {
        padding: 15px;
        font-size: 12px;

        span {
          font-size: 12px;
          font-weight: bold;
        }
      }

      .products-list {
        flex-direction: column;
        gap: 15px;

        .products-list-item {
          width: 70%;
          padding: 1vw;
        }

        .products-list-item {
          .products-list-item-image {
            .products-list-item-image-icon {
              img {
                width: 10vw;
              }
            }
          }

          .products-list-item-text {
            background-color: var(--cor-clara);

            h2 {
              padding-top: 3px;
              font-size: 15px;
            }

            h3 {
              padding: 12px 0 8px 0;
              font-size: 12px;
            }

            .products-list-item-text-link {
              padding-bottom: 10px;

              a {
                font-size: 10px;
                font-weight: bold;
                color: var(--cor-principal);
              }

              svg {
                margin-left: 1%;
                width: 6px;
              }
            }
          }
        }

        .products-list-item:hover {
          width: 75%;
        }
      }
    }

    .info {
      margin-top: 30px;
      padding: 0 3%;

      .info-layout {
        h3 {
          font-size: 12px;
        }

        .info-layout-main {
          flex-direction: column;

          p {
            font-size: 10px;
          }

          strong {
            font-size: 10px;
          }

          .info-layout-main-text {
            width: 80%;

            .info-layout-item-text-link {
              padding-top: 15px;

              a {
                font-size: 10px;

                svg {
                  width: 7px;
                }
              }
            }
          }

          .info-layout-main-detail {
            padding-top: 15px;
            width: 100%;
            flex-direction: row;
            justify-content: space-evenly;

            .info-layout-main-detail-content {
              padding: 0;

              .info-layout-main-detail-content-text {
                p {
                  font-size: 10px;
                }
              }
            }
          }
        }
      }
    }
  }
}